petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESSetNGS

Sets the user nonlinear Gauss-Seidel routine for use with composed nonlinear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetNGS(SNES snes,PetscErrorCode (*f)(SNES,Vec,Vec,void*),void *ctx)

### Input Parameters

| snes | - the SNES context
| f | - function evaluation routine to apply Gauss-Seidel see SNESNGSFunction
| ctx | - [optional] user-defined context for private data for the smoother evaluation routine (may be NULL)

### Notes

The NGS routines are used by the composed nonlinear solver to generate a problem appropriate update to the solution, particularly FAS.

### Keywords

SNES, nonlinear, set, Gauss-Seidel

### See Also

SNESGetFunction(), SNESComputeNGS()

### Level

intermediate

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex19.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages